{% extends 'base.html.twig' %}

{% trans_default_domain 'User' %}

{% set shownUserName = user.displayName %}
{% set shownLord = user.lord %}
{% set isShownUserInGame = user.lord is not null %}
{% set currentUserLord = app.user.lord %}
{% set isCurrentUserInSameWorld = currentUserLord is not null and currentUserLord != shownLord and currentUserLord.worldMap == shownLord.worldmap %}

{% block title %}{{ 'profile' | trans }} {{ shownUserName }}{% endblock %}

{% block content %}
<h1 class="userh1_intabl">
    <p class="tid_user tid_userNoBg tid_userUnknown tid_parsed">
        {{ shownUserName }}
    </p>
</h1>
<table class="usertable">
    <tbody>
    <tr>
        <td class="left">
            <div class="box4">
                <div class="box4bottom">
                    <div class="box4bg">
                        <h2 class="h2h">{{ 'info' | trans }}</h2>
                        {% if isShownUserInGame == false %}
                        <p class="nothing">
                            {{ 'isDead' | trans({'%name%':shownUserName}) }}
                        </p>
                        {% else %}
                            {% set world = shownLord.worldmap %}
                            {% set city = shownLord.city %}
                            <table class="infos">
                                <tbody>
                                <tr>
                                    <td class="infosleft">
                                        <ul>
                                            <li>
                                                <span class="dt">{{ 'stats.title.name' | trans([], 'Management') }} :</span>
                                                <b>{{ ('lord.titles.' ~ user.lord.title.value) | trans({}, 'Common') }}</b>
                                            </li>
                                            <li>
                                                <span class="dt">{{ 'world' | trans }} :</span>
                                                <b>{{ world.name }}</b>
                                            </li>
                                            <li>
                                                <span class="dt">{{ 'city.capitalCity.title' | trans([], 'Management') }} :</span>
                                                <img src="{{ asset('img/icons/capitale.gif') }}" alt="capitale icon">
                                                <a href="{{ path('app_map_focusNode', {'worldId' : world.id, 'nodeId' : shownLord.spawnNode.id})}}">{{ city.name }}</a>
                                            </li>
                                            {% if shownLord.isAlive %}
                                            <li>
                                                <b>
                                                    <a href="{{ path('app_map_focusKingdom', {'worldId' : world.id, 'lordId' : shownLord.id}) }}">{{ 'seeKingdom' | trans }}</a>
                                                </b>
                                            </li>
                                            {% endif %}
                                        </ul>
                                    </td>
                                    <td>
                                        <ul>
                                            <li>
                                                <span class="dt">{{ 'stats.age.name' | trans([], 'Management') }} :</span>
                                                <b>
                                                    {{ 'lord.age' | trans({'%years%': user.lord.ageYear, '%months%': user.lord.ageMonth | round(0, 'floor') }, 'Common') }}
                                                </b>
                                            </li>
                                            <li>
                                                <span class="dt">{{ 'stats.health.name' | trans([], 'Management') }} :</span>
                                                <b>{{ ('healths.' ~ user.lord.health) | trans({}, 'Management') }}</b>
                                            </li>
                                            <li class="stats">
                                                <span class="dt">{{ 'stats' | trans }} :</span>
                                                <b onmouseover="showHintMsg(this,'{{ 'stats.glory.name' | trans([], 'Management') }}')" onmouseout="hideHint()">
                                                    <strong>{{ shownLord.glory }}</strong> <img src="{{ asset('img/icons/l_up.png') }}" alt="glory">
                                                </b>
                                                <b onmouseover="showHintMsg(this,'{{ 'tabs.generals.reputation' | trans([], 'Management') }}')" onmouseout="hideHint()">
                                                    <strong>{{ shownLord.reputation }}</strong> <img src="{{ asset('img/icons/l_rep.png') }}" alt="reputation">
                                                </b>
                                                <b onmouseover="showHintMsg(this,'{{ 'stats.trade.name' | trans([], 'Management') }}')" onmouseout="hideHint()">
                                                    <strong>{{ shownLord.trade }}</strong> <img src="{{ asset('img/icons/l_tax.png') }}" alt="tax">
                                                </b>
                                            </li>
                                        </ul>
                                    </td>
                                </tr>
                                </tbody>
                            </table>
                        {% endif %}
                    </div>
                </div>
            </div>

            <div class="boxtab without">
                <div class="boxtabbottom">
                    <div class="boxtabbg">
                        <ul class="actions">
                            {% set showDiplomacyActions = isShownUserInGame and isCurrentUserInSameWorld and shownLord.isAlive %}
                            {% if showDiplomacyActions %}
                                {% set isNeutral = relation.diplomacyType == "neutral" %}
                                {% if isNeutral %}
                                    <li>
                                        <div {% include 'Components/ConfirmButton.html.twig' %} data-link="/relation/diplomacy/{{ shownLord.id }}/friend">
                                            <img src="{{ asset('img/icons/a_friend.png') }}" alt="add to friends list">
                                            <span>{{ 'actions.diplomacy.declareFriend.button' | trans }}</span>
                                        </div>
                                    </li>
                                {% endif %}

                                {% if isNeutral %}
                                    <li>
                                        <div {% include 'Components/ConfirmButton.html.twig' %} data-link="/relation/diplomacy/{{ shownLord.id }}/enemy">
                                            <img src="{{ asset('img/icons/a_enemy.png') }}" alt="add to enemies list">
                                            <span>{{ 'actions.diplomacy.declareEnemy.button' | trans }}</span>
                                        </div>
                                    </li>
                                {% endif %}

                                {% if not isNeutral %}
                                    {% set relationTranslation = ('diplomacy.' ~ relation.diplomacyType) | trans %}
                                    <li onmouseover="showHintMsg(this, '{{ 'actions.diplomacy.declareNeutral.tooltip' | trans({'%relation%': relationTranslation}) }}')"
                                        onmouseout="hideHint()">
                                        <div {% include 'Components/ConfirmButton.html.twig' %} data-link="/relation/diplomacy/{{ shownLord.id }}/neutral">
                                            <img src="{{ asset('img/icons/a_neutral.png') }}" alt="add to neutral list">
                                            <span>{{ 'actions.diplomacy.declareNeutral.button' | trans({'%relation%': relationTranslation}) }}</span>
                                        </div>
                                    </li>
                                {% endif %}

                                {% if relation.canCross %}
                                    <li onmouseover="showHint(this, '{{ 'actions.crossPermission.title' | trans }}', '{{ 'actions.crossPermission.revoke.desc' | trans }}')"
                                        onmouseout="hideHint()">
                                        <div {% include 'Components/ConfirmButton.html.twig' %} data-link="/relation/crossRight/{{ shownLord.id }}/0">
                                            <img src="{{  asset('img/icons/a_nopass.png') }}" alt="revoke harvest permission">
                                            <span>{{ 'actions.crossPermission.revoke.button' | trans }}</span>
                                        </div>
                                    </li>
                                {% else %}
                                    <li onmouseover="showHint(this, '{{ 'actions.crossPermission.title' | trans }}', '{{ 'actions.crossPermission.grant.desc' | trans }}')"
                                        onmouseout="hideHint()">
                                        <div {% include 'Components/ConfirmButton.html.twig' %} data-link="/relation/crossRight/{{ shownLord.id }}/1">
                                            <img src="{{ asset('img/icons/a_pass.png') }}" alt="grant cross permission">
                                            <span>{{ 'actions.crossPermission.grant.button' | trans }}</span>
                                        </div>
                                    </li>
                                {% endif %}

                                {% if relation.canHarvest %}
                                    <li onmouseover="showHint(this, '{{ 'actions.harvestPermission.title' | trans }}', '{{ 'actions.harvestPermission.revoke.desc' | trans }}')"
                                        onmouseout="hideHint()">
                                        <div {% include 'Components/ConfirmButton.html.twig' %} data-link="/relation/harvestRight/{{ shownLord.id }}/0">
                                            <img src="{{  asset('img/icons/a_nores.png') }}" alt="revoke harvest permission">
                                            <span>{{ 'actions.harvestPermission.revoke.button' | trans }}</span>
                                        </div>
                                    </li>
                                {% else %}
                                    <li onmouseover="showHint(this, '{{ 'actions.harvestPermission.title' | trans }}', '{{ 'actions.harvestPermission.grant.desc' | trans }}')"
                                        onmouseout="hideHint()">
                                        <div {% include 'Components/ConfirmButton.html.twig' %} data-link="/relation/harvestRight/{{ shownLord.id }}/1">
                                            <img src="{{  asset('img/icons/a_res.png') }}" alt="grant harvest permission">
                                            <span>{{ 'actions.harvestPermission.grant.button' | trans }}</span>
                                        </div>
                                    </li>
                                {% endif %}
                            {% endif %}
                            <li>
                                {# TODO PantheonController
                                <div onclick="document.location = '/pantheon/{{ user.id }}'">
                                    <img src="{{ asset('img/icons/a_pant.png') }}">
                                    <span>{{ 'actions.visitPantheon' | trans }}</span>
                                </div>
                                #}
                                <div onclick="document.location = 'https://eternal-twin.net/users/{{ user.userId }}'">
                                    <img src="{{ asset('img/icons/a_eternaltwin.png') }}" alt="Visit EternalTwin profile">
                                    <span>{{ 'actions.seeOnEternalTwin' | trans }}</span>
                                </div>
                            </li>
                        </ul>
                        <div class="clear"></div>
                    </div>
                </div>
            </div>
        </td>

        {% if isShownUserInGame %}
        <td class="right">
            <div class="box3">
                <div class="box3bottom">
                    <div class="box3bg">
                        <h2 class="h2f">{{ 'header.overlord.name' | trans([], 'Management') }}</h2>
                        <p class="nothing">{{ 'diplomacy.nobody' | trans }}</p>

                        <h2 class="h2g">{{ 'tabs.vassals.title' | trans([], 'Management') }}</h2>
                        <p class="nothing">{{ 'diplomacy.nobody' | trans }}</p>
                        <!--
                        <ul class="listu">
                            <li>Le <a href="/user/4903044">Seigneur borrelus</a></li>
                        </ul>
                        -->
                        <h2 class="h2g">{{ 'diplomacy.friends' | trans }}</h2>
                        {% if friends | length > 0 %}
                            <ul class="listu">
                                {% for friend in friends %}
                                <li>
                                    Le <a href="{{ path('user', {'id': friend.user.id}) }}">{{ ('lord.titles.' ~ friend.title.value) | trans({}, 'Common') }} {{ friend.name }}</a>
                                </li>
                                {% endfor %}
                            </ul>
                        {% else %}
                            <p class="nothing">{{ 'diplomacy.nobody' | trans }}</p>
                        {% endif %}

                        <h2 class="h2g">{{ 'diplomacy.enemies' | trans }}</h2>
                        {% if enemies | length > 0 %}
                            <ul class="listu">
                                {% for enemy in enemies %}
                                    <li>
                                        Le <a href="{{ path('user', {'id': enemy.user.id}) }}">{{ ('lord.titles.' ~ enemy.title.value) | trans({}, 'Common') }} {{ enemy.name }}</a>
                                    </li>
                                {% endfor %}
                            </ul>
                        {% else %}
                            <p class="nothing">{{ 'diplomacy.nobody' | trans }}</p>
                        {% endif %}
                    </div>
                </div>
            </div>
        </td>
        {% endif %}
    </tr>
    </tbody>
</table>
{% endblock %}